local style = {}
TextPointStamp = function(canvas, x, y, text, paint, font, halign, valign, transformation, padx, pady)
    text = todisplaystring(text)
    if (text) then
        style.font = font
        local styledString = StyledString.new(text, style)
        StyledStringPointStamp(canvas, x, y, styledString, paint, halign, valign, transformation, padx, pady)
    end
end

return TextPointStamp
